#include <stdio.h>

#define MAX_N 200001

int main() {
	char tekst[MAX_N];
	char zabranjena_rec;
	int broj_cenzura = 0;

	gets(tekst);

	zabranjena_rec = getchar();

	for (int i = 0; tekst[i] != '\0'; i++) {
		if (tekst[i] == zabranjena_rec) {
			tekst[i] = '*';
			broj_cenzura++;
		}
	}

	printf("%d\n", broj_cenzura);
	printf("%s\n", tekst);
	
	return 0;
}